
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《Nodejs开发加密货币》之十五：加密货币就是货币 / 憋错料</title>

    <meta name="description" content="《Nodejs开发加密货币》之十五：加密货币就是货币 这是一篇加密货币的入门文章,是对&lt;Nodejs开发加密货币&gt;的入门指南部分的补充,主要写给那些没有接触过比特币.加密货币的小伙伴,接下来的内容,都将与加密货币相关. 前言 &quot;加密货币就是货币&quot;听起来挺&quot;白痴的&quot;.想想背后的意思,言外之意就是&quot;加密货币可能不是货币&quot;,就非常值得玩味了.事实上,在我接触的很多朋友当中,一开始认为后者的更多.包括我自己,也是经过探究一段时间之后,才认定这个结论的. 惯性定律不仅存在于物质世界,也存 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">《Nodejs开发加密货币》之十五：加密货币就是货币</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>这是一篇加密货币的入门文章，是对《Nodejs开发加密货币》的入门指南部分的补充，主要写给那些没有接触过比特币、加密货币的小伙伴，接下来的内容，都将与加密货币相关。</p>
<h2>前言</h2>
<p>“加密货币就是货币”听起来挺“白痴的”。想想背后的意思，言外之意就是“加密货币可能不是货币”，就非常值得玩味了。事实上，在我接触的很多朋友当中，一开始认为后者的更多。包括我自己，也是经过探究一段时间之后，才认定这个结论的。</p>
<p>惯性定律不仅存在于物质世界，也存在于人类的认知世界。人类的经验越丰富，理解新事物的阻力就会越大。特别是当一个新事物出现在面前，它的名字没有什么特别，技术本身也不是什么新奇玩意的时候，说它是颠覆性创新，即将改变未来，着实让人费解。</p>
<p>这里，针对没有接触过加密货币的人，试图用最直白的语言，写一篇通俗、简单的入门文章，架起人类思考和接纳加密货币的桥梁。如果看完之后，你有了那么点激动，想要继续探究下去，本文就算成功了。</p>
<p>本文，会涉及到入门者一开始就碰到的一些概念，比如：什么是加密货币？与大家日常使用的各种数字币有什么区别？有什么优势，为什么会如此受到吹捧？等等。基本上，都是我一个程序员最通俗的理解。</p>
<h2>加密货币最简史</h2>
<p><code>加密货币</code>首先是一种<code>数字货币</code>。早在比特币出现之前，“数字货币”、“虚拟货币”、“电子货币”等就已经出现了，特别以“虚拟货币”居多，最简单的理解就是“货币数字化或虚拟化”。这里的货币是现实的法币，比如美元、人民币，数字化就是不用拿钞票，直接通过网银、某宝等就可以支付。</p>
<p>后来，在游戏平台，最早提出了游戏币的概念，通过法币直接兑换，然后，玩家使用它购买各种装备。接着，很多网站也推出了各种币，通过游戏的思维，用以吸引用户。这些所谓的数字货币，最直观的解释，其实就是“代币”。</p>
<p>近年来，比特币出现，一种真正的可以称为“货币”的数字货币诞生，人们却很难把它与其他数字货币区分开。原因很简单，一方面，不接受的惯性非常强：大部分人都有丰富的数字币使用经验，满世界都是“数字货币”，偏偏它就不同吗？</p>
<p>另一方面，接受的阻力非常大：理解加密货币需要知道点P2P网络是怎么回事，知道有加密解密技术这么回事，最好还能了解点数据库技术，每一样都不是普通人所具备的。</p>
<p>即便这些技术都具备了，但是要想实现像法币一样的功能和特点，也不是几个人脑洞大开，想想就能明白的。所以，在人们的思维里一切“数字货币”并不是真正的货币，而仅仅是“代币”而已，“加密货币就是货币”反而令人费解，让人难以接受。</p>
<h2>什么是加密货币？</h2>
<p>我把这个问题，通过某度搜索了一下，非常奇葩的是，直接回答这个问题的竟然是一个传销币（把加密货币当作核心产品，通过传销发行的加密货币），当然，内容也没有直接回答，只是谈了谈与法币（像美元、人民币等由银行或国家发行的纸币）的区别。可见，界定一下这个概念，还是非常必要的。</p>
<p>我们所说的“加密货币”，英文是“Cryptocurrency”，也有人在百科上翻译成“密码货币”，可以解释为一种加密电子货币（或数字货币），典型的例子就是比特币。所以，我们不妨使用比特币来给加密货币下个定义：</p>
<blockquote><p>加密货币，是一种基于点对点网络（P2P网络)、没有发行机构、总量基本固定的加密电子通货。</p></blockquote>
<p><strong>解读</strong>：</p>
<p><strong>（1）P2P网络</strong>：这个不是什么新鲜玩意，最早我们使用的Bit下载，就是基于P2P网络的，现在很多下载工具都支持。它的好处就是“去中心化”，也就是没有中央服务器，要下载的文件都在用户自己电脑上，而且下载速度更快;</p>
<p><strong>（2）没有发行机构</strong>：就是说，不是那个公司、银行或国家控制发行的。要做到这一点，同时防止通货膨胀等因素，需要在编程中使用非常复杂的机制和规则来实现。</p>
<p><strong>（3）总量基本固定</strong>：这是保证加密货币价值的一种策略，“物以稀为贵”，任何东西没有上限就会失去它的吸引力。这一点，区别于很多网络社区使用的积分，比如：A币、C币、Q币、S币等。</p>
<p><strong>（4）加密</strong>：这里说的加密，不是用户使用的输入用户名、密码那种简单的权限控制，而是对每一个产生的电子货币本身的交易与传输的加密。密码学本身很复杂，但是使用它并不复杂，明白这个就足够了。</p>
<p><strong>（5）电子通货</strong>：也就是说加密货币就是货币，跟法币一样，可以自由交易，只不过是一种电子（数字）形式而已。那么什么A币、Q币之类的不是货币吗？不是，下面详细解释这一点。</p>
<h2>加密货币就是货币</h2>
<p><code>加密货币就是货币</code>，这是一个近乎“瞎掰”的奇葩结论，当我们了解了上面的历史和概念定义之后，就容易理解多了。但是如果你不是技术人员，理解起来还是有点困难，那么现在我们再来类比一下法币，找点与“货币”的共同点。</p>
<p><strong>（1）定量</strong>：法币通常与背后的黄金或者所谓的GDP挂钩，算是相对固定（经济低迷时的过量发行暂且别考虑了）。加密货币，可以算作绝对的固定数量，或者少量的增发（可以弥补一些丢失的币等），防止通货膨胀。</p>
<p>但是，一些网站提供的数字币，是没有固定数量的，一般作为法币的代币，用户购买了多少，总量就有多少。</p>
<p><strong>（2）加密</strong>：法币是有防伪的，应该说实物防伪的最高级别的技术就是在法币上（不过，仍然可以伪造，假币并不少见），通过验钞机等专门的验钞设备可以验证。加密货币的加密技术就相当于防伪技术，每一笔交易都会被严格加密，专家解释说，破解加密货币是理论上可行、成本上绝对不可行的事情，因此很难伪造，同时，验证机制要远胜法币，简单、快速且准确。</p>
<p>那么，个别网站的数字币，就不是这样，仅仅是一串数字而已，管理员可以修改、冻结，他们的加密也仅仅是用户登录时的权限控制。</p>
<p><strong>（3）交易</strong>：法币，也称为通货，被称为一般等价物，是可以与任何商家交换，购买任何东西的，这是货币的最基本属性。加密货币，也是如此，你可以支付给任何一方，加密货币会安全到达，不用担心被黑客劫持、破解，也不用担心价值会减少或蒸发。</p>
<p>但是，一些网站的数字币，是绝对没有这种功能的，只能在网站内部交易，离开网站就没有了任何价值。有些商城可以使用积分购物，看似可以在很多网站之间交易，其实仍然是他们自己的网站。当然，网站如果与第三方签订了协议，规定它的数字币值多少法币，也就可以与其他网站交易，但是这种交易，本质仍然是法币交易。不过，即便如此，这个协议，估计没有人愿意签订，至少，我不会，因为无法监督、控制，无法保证绝对信任。</p>
<h2>加密货币靠谱吗</h2>
<p>从上面的讨论，我们可以了解加密货币是怎么回事了，但是可能仍然怀疑加密货币的实用性，靠谱吗？这是最初很多人都会问的问题。结论当然是靠谱，但是解释为什么，就要动用很多技术和理论。还好，这些技术和理论，都是目前成熟的技术。你只要认为他们靠谱，那么下面的解释，就很好理解，不然，想说服自己，说加密货币比一些网站的数字币更靠谱，还是很难的。</p>
<h4>（1）去中心化</h4>
<p>这个很好理解，首先明白什么是“中心化”。目前，我们通过浏览器浏览的各大网站，都是中心化的，必须有一台或多台服务器，把我们浏览的内容整理好，供我们浏览。服务器坏了的话，我们也就无法访问了。中心化的东西，一切都被某个组织或公司控制着。</p>
<p>去中心化，是基于P2P网络的，没有一台机器作为中心化的服务器的功能，网络中的每一台电脑都是平等的，任何一台掉线、拓机，都不会影响整个网络继续运行。如果大家都信任这个网络，这个网络基本上永远都不会死掉，现在的比特币网络基本上如此。具体看《一个精巧的p2p网络实现》一篇的源码分享。</p>
<p><strong>这是加密货币的交易通道</strong>。是网络基础，可以实现无障碍交易。只要可以上网，任何时间、任何地点，就可以介入这个交易网络，把加密货币支付到世界的任何一个角落。</p>
<h4>（2）加密解密</h4>
<p>我们有了可以自由通行的路线或航道，但是这些航道安全吗？有没有强盗？被劫持了、破解了，怎么办？更何况，我们这条航道，要通过一家家私人住所（个人或组织的电脑），或许有个黑客正时刻等待出击呢。</p>
<p>这就需要使用严格的加密解密技术。还好，加密解密技术，也是网络世界普遍使用的技术，已经成熟使用了这么多年。从理论上讲，加密货币的交易地址、每一笔交易等都是加密解密中的一部分，破解一个毫无意义，全部破解相当不易，加之P2P网络节点众多，破解一个节点也没有任何价值，所以加密货币的安全级别应该是目前最高的。</p>
<p><strong>这是加密货币的安全保障</strong>。有了这一点，我们才能放心的把加密货币支付出去，而不担心丢失、被盗，买家才能有支付交易的基础动力。关于加密解密技术，可以阅读《在Nodejs中使用加密解密技术》，以及开发实践《三张图让你全面掌握加密解密技术》。</p>
<h4>（3）区块链</h4>
<p>我们可以顺利支付了，但是另一个担心又来了，怎么保证卖家一定收到了或者一定没有收到？万一，卖家赖帐，死活说没有收到钱怎么办？这种信任感，谁来保证？</p>
<p>回答是，区块链。这个才是加密货币的独创，比特币的创新发明，不过使用的技术却是简单的数据库技术（当然，也可以使用文件存储，不过多数应该都是数据库）而已。区块链的本质就是存储在数据库里的交易数据，其结构不过是每一条记录都会记录前一条区块头的哈希值，从而可以实现往前追溯，直到第一个创世区块。</p>
<p>更重要的是，这个数据库，在P2P网络中分布式存储，每一个节点都会保存一份拷贝，每一个人都可以公开访问，查看交易记录。也就是说，交易双方不仅能看到交易结果，整个网络节点都能看到，公开、透明、可追溯，让你不得不信。</p>
<p><strong>这是加密货币的信用保障</strong>。任何经济行为，没有信任作为基础，都不可能达成。加密货币这个独创性，为构建公开、透明、可追溯的信用体系打开了一扇大门，各大公司、组织、个人为加密货币痴迷，都是因为这个创新技术背后的无限可能性。后面，我会继续分享亿书区块链的实现，《神秘的区块链》（待完成）</p>
<p>（4）共识机制</p>
<p>有航道、安全、可信，是不是就足够了？一个关键的问题是，这么多的节点维护一个相同的数据库，到底那个节点写入的数据库被接受，该如何有序的运作呢？还有，发行的加密货币是固定数量的，怎么保证某个节点不调皮捣蛋自己增加数量呢？在利益面前，什么人、什么事情都可能出现的奥。</p>
<p>这个问题的解决，就是所谓的“共识机制”，也是算法机制，包括工作量证明机制（POW）、股权证明机制（POS）、授权股权证明机制（DPOS）等，类似于大家商讨问题，集体决策时的原则和规矩。这才是加密货币需要重点编码的地方，也是加密货币开发的难点。</p>
<p>特别是DPOS机制，基本上就是股份制公司的股东投票机制，亿书使用的就是这种算法机制。后面，我也会继续分享相关文章，包括亿书的《DPOS机制的实现》（待完成）。</p>
<p><strong>这是加密货币的运行规则</strong>。是把前面的通用技术进行融合创新的地方，不了解这个部分，就无从谈起加密货币开发。</p>
<p>最后，上述技术并非相互独立的，而是相互支撑，通过共识机制成为一个整体，实现了加密货币绝对不用某个机构发行、也能保证绝对安全的支付和交易。</p>
<h2>总结</h2>
<p>想象一下，一个高度自治的网络，会给我们的未来带来什么样的变革（未来趋势）？我们能使用加密货币做点什么（应用场景）？如果进入这个行业投资或创业，有什么需要注意的（风险和方法提示）？这些问题，请看下一篇《利益，魔鬼与天使的共同目标》</p>
<h2>链接</h2>
<p><strong>本系列文章即时更新，若要掌握最新内容，请关注下面的链接</strong></p>
<p>本源文地址： <a href="https://github.com/imfly/bitcoin-on-nodejs" rel="external nofollow noreferrer">https://github.com/imfly/bitcoin-on-nodejs</a></p>
<p>本文首发区块链俱乐部： <a href="http://chainclub.org/topic/8/nodejs开发加密货币-之十三-加密货币就是货币" rel="external nofollow noreferrer">http://chainclub.org</a></p>
<h2>参考</h2>
<ul>
<li>亿书白皮书v1.0 <a href="http://ebookchain.org/ebookchain.pdf" rel="external nofollow noreferrer">http://ebookchain.org/ebookchain.pdf</a></li>
<li>亿书官方网站： <a href="http://ebookchain.org" rel="external nofollow noreferrer">http://ebookchain.org</a></li>
<li><a href="http://bitcoin-on-nodejs.ebookchain.org/3-%E6%BA%90%E7%A0%81%E8%A7%A3%E8%AF%BB/3-%E4%B8%80%E4%B8%AA%E7%B2%BE%E5%B7%A7%E7%9A%84p2p%E7%BD%91%E7%BB%9C%E5%AE%9E%E7%8E%B0.html" rel="external nofollow noreferrer">一个精巧的p2p网络实现</a></li>
<li><a href="http://bitcoin-on-nodejs.ebookchain.org/3-源码解读/4-在Nodejs中使用加密解密技术.html" rel="external nofollow noreferrer">在Nodejs中使用加密解密技术</a></li>
<li><a href="http://bitcoin-on-nodejs.ebookchain.org/4-开发实践/3-三张图让你全面掌握加密解密技术.html" rel="external nofollow noreferrer">三张图让你全面掌握加密解密技术</a></li>
<li><a href="https://en.wikipedia.org/wiki/Peer-to-peer" rel="external nofollow noreferrer">P2P网络</a></li>
</ul>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-07 13:16:49 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>《Nodejs开发加密货币》之十五：加密货币就是货币的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Nj7k24.html" rel="bookmark">Adrnoid开发系列（二十五）：使用AlertDialog创建各种类型的对话框</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				AlertDialog能够生成各种内容的对话框.可是每种对话框都会有这样的的结构: 类似下边这样的的: watermark/2/text/aHR0cDovL2Jsb2cuY3Nkbi5uZXQvdTAxMDgwMDUzMA==/font/5a6L5L2T/fontsize/400/fill/I0JBQkFCMA==/dissolve/70/gravity/Center&quot; &gt; 这仅仅是最简单的对话框. 我们来看下创建一个对话框须要的步骤: 1.使用创建AlertDialog.Builder对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyN5Vn0.html" rel="bookmark">Android IOS WebRTC 音视频开发总结（八十五）-- 使用WebRTC广播网络摄像头视频（下）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文主要介绍WebRTC (我们翻译和整理的,译者:weizhenwei,校验:blacker),最早发表在[编风网] 支持原创,转载必须注明出处,欢迎关注我的微信公众号blacker(微信ID:blackerteam 或 webrtcorgcn). 回顾:Android IOS WebRTC 音视频开发总结(八十三)-- 使用WebRTC广播网络摄像头视频(上) 连接网络摄像头 正如上文所提,我们选用一款简单的D-Link DCS-7010L网络摄像头.关键原因在于它支持RTSP协议,因此服务			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nK8Xv3.html" rel="bookmark">python全栈开发基础【第二十五篇】死锁，递归锁，信号量，Event事件，线程Queue</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.死锁现象与递归锁 进程也是有死锁的 所谓死锁: 是指两个或两个以上的进程或线程在执行过程中,因争夺资源而造成的一种互相等待的现象,若无外力作用, 它们都将无法推进下去.此时称系统处于死锁状态或系统产生了死锁,这些永远在互相等待的进程称为死锁进程, 如下就是死锁 #死锁现象 死锁------------------- from threading import Thread,Lock,RLock import time mutexA = Lock() mutexB = Lock() class			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4p59YVM.html" rel="bookmark">ioS开发知识（三十五）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
							</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPBOJ63.html" rel="bookmark">ioS开发知识（二十五）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
							</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YDr8yM.html" rel="bookmark">《Nodejs开发加密货币》之二十六：轻松从Js文件生成UML类图</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 上一篇&lt;函数式编程入门经典&gt;,罗嗦了很长,很多小伙伴看得云里雾里.这里提供一个实例,让大家切身感受函数式编程的奥妙和趣味.当然,仅仅为了举例而写代码就没有什么意义了,本书提供的例子都是承担了某项任务的具体项目或工具,这个例子自然也不能例外. 本书用到了大量的Uml类图,经常有小伙伴问我用什么工具画的.说实话,前几篇是我个人一点点手工整理的,但后来就感觉在浪费生命,作为程序员,怎么可能容忍这样的事情反复发生.所以,就有了 js2uml(见参考)这个小工具.只不过,当初目的单一,仅仅使用正则			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPgLQB4.html" rel="bookmark">《Nodejs开发加密货币》之十：三张图让你全面掌握加密解密技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于 &lt;Nodejs开发加密货币&gt;,是一个加密货币产品的详细开发文档,涉及到使用Nodejs开发产品的方方面面,从前端到后台.从服务器到客户端.从PC到移动.加密解密等各个环节.代码完全开源.文章免费分享. 相关资源见 http://ebookchain.org QQ交流群: 185046161 前言 加密解密技术,涉及面很广,这里,把前人的研究成果汇总起来,通过图表的形式来帮助记忆和筛选,方便日后使用.内容主要包括两个方面,一个是场景与算法,一个是Nodejs的相关模块或组件.共三张脑图,具			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MP1vvB0.html" rel="bookmark">《Nodejs开发加密货币》之十二：静态网站开发全景扫描</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 在前面的入门部分,介绍了Nodejs在前端开发中的应用,并通过具体项目说明了Nodejs在比特币客户端领域被广泛应用.当时为了介绍Nodejs入门技术,一切都是从头创建,没有引入前端框架.但在具体的项目实践中,前端是有框架可以选择的,效率和体验会有明显提升. 具体到前端框架,我的选择是Ember.js.Ember给开发带来一种飞一般的感觉,如果问前端框架哪家强,我会毫不犹豫的说Ember.(具体为什么,网上仍然争论不休,本文不做讨论) 本文重点介绍静态网站的类型,亿书官网的技术选型,以及在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41VryXM.html" rel="bookmark">《Nodejs开发加密货币》之十六：利益，魔鬼与天使的共同目标</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 上篇文章&lt;加密货币就是货币&gt;吸引了很多小伙伴关注,非常感谢.同时说明,很多小伙伴因为对加密货币不了解(或者有误解),所以才会敬而远之,错失良机. 这篇文章,继续上一篇,仍然通过直白的语言来讲解技术.涉及到的内容包括未来趋势,应用场景和风险提示,让我们更直观地理解币圈里的一些概念,比如:智能合约等. 利益,主宰着人类行为 人活着到底是为了什么?我们每个人可能都问过自己这个问题.我们有时候踌躇满志,想要拥有一切.有时候又高尚地低下头,崇尚与世无争,无忧无虑.但在纷繁复杂的真实世界里,我们总会			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/BMzAqW4.html" rel="bookmark" class="title">【随笔】整理心情</a>
					<div>
						终于,从北京回到了沈阳,家里人完全不知道我考试的结果方面讯息,隐瞒的还算不错. 不是故意隐瞒,实在是不可以让家里知道,除了为了自己的面子,还为了不让家里担心.一直以来,成绩不好的我一直不敢直面父母的双 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/j4NW5BM.html" rel="bookmark" class="title">Mac下如何安装配置Homebrew</a>
					<div>
						摘自:http://jingyan.baidu.com/article/fec7a1e5ec30341190b4e7e5.html 打开Mack中的命令行工具   在打开的命令行工具中输入如下语句:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JDlXn0.html" rel="bookmark" class="title">C&num;基础学习&mdash;&mdash;委托</a>
					<div>
						using System; namespace Test { public delegate void TryDelegate(string name); public class SayHello{ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lXV1W0.html" rel="bookmark" class="title">如何使用Audition消除音乐中的人声</a>
					<div>
						Step 1. 我们在录制翻唱或进行声音处理的时候,经常会遇到消除人声的情况, 今天几分钟网就来教你使用Adobe Audition 软件去除歌曲原唱,自己制作伴奏带. Step 2. 初步消除人声. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r2GQl3.html" rel="bookmark" class="title">《Intel汇编第5版》 条件汇编伪指令</a>
					<div>
						一.条件汇编伪指令和宏使用可以使汇编程序更加灵活 二.通过伪指令来检查函数的参数是否为空,如果为空则输出警告信息 INCLUDE Irvine32.inc includelib Irvine32.li ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47DmO1M.html" rel="bookmark" class="title">必须学会使用的35个Jquery小技巧</a>
					<div>
						query 与JS相比较,方便了许多,语法上也简便了不少,下面是Jquery常用的技巧,下面Jquery使用的方法在各个网站中都会使用到. 收集的35个 jQuery 小技巧/代码片段,可以帮你快速开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02k92D3.html" rel="bookmark" class="title">Struts2数据校验</a>
					<div>
						1.表单数据的验证: 前台验证:主要是通过JS验证, 表达数据是否合法! 后台验证:通过后台java代码进行验证! Struts也提供了数据效验的方式! Struts数据效验,通过拦截器完成:&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/022bBD0.html" rel="bookmark" class="title">2014年4月22~23日，杨学明老师《产品测试管理高级实务培训》公开课在深圳成功举办&excl;</a>
					<div>
						2014年4月22~23日,&lt;打造高效率产品测试体系-产品测试管理&gt;公开课在深圳市南山区维多利亚大酒店准时开课,来自机电.新能源.系统集成.电池.芯片.手机.银行等企业的研发总监和测试部门 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AArBz4.html" rel="bookmark" class="title">夺命雷公狗---node&period;js---14之DNS</a>
					<div>
						node下如果想域名解析是需要通过apache或者ng的反向版定才可以实现的,但是他也给我们留下了哟套DNS操作方法: /** * Created by leigood on 2016/8/30. * ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBxrrJ3.html" rel="bookmark" class="title">HTTP的请求方法</a>
					<div>
						1.GET1&gt; 特点* 所有请求参数都拼接在url后面 2&gt; 缺点* 在url中暴露了所有的请求数据,不太安全* url的长度有限制,不能发送太多的参数 3&gt; 使用场合* 如果仅仅是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NnD7G4.html" rel="bookmark" class="title">Hibernate 动态表名映射（数据库分表） NamingStrategy</a>
					<div>
						NamingStrategy接口很有意思,可以作为业务类规范和数据库表规范的桥梁,例如一个数据对象User,对应数据库表是 T_USER,如果所有映射关系都是这样的情况,可以使用NamingStrat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35rb7n4.html" rel="bookmark" class="title">android4&period;0 锁屏实现（转）</a>
					<div>
						转载请表明出处:http://blog.csdn.net/wdaming1986/article/details/8837023 好了,言归正传,说说锁屏了,其实把锁屏做成apk的形式,会引起很多问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YqL1y0.html" rel="bookmark" class="title">Android 学习--ListView 的使用&lpar;三&rpar;</a>
					<div>
						使用SimpleAdapter 创建ListView 程序清单1 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QayN24.html" rel="bookmark" class="title">vim note&lpar;3&rpar;</a>
					<div>
						Ctrl+w  Ctrl+v  will create a new window on the right side of the current window Ctrl+w  Ctrl+s   wi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6pqX53.html" rel="bookmark" class="title">C和C&plus;&plus;中函数运行时间测试</a>
					<div>
						//clock()函数为c中,捕捉从程序开始运行到clock运行的时间//时间单位为clock tick,即为时钟打点#include&lt;iostream&gt;#include&lt;cmath ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02wP123.html" rel="bookmark" class="title">PHP验证登录用户名和密码</a>
					<div>
						来源:http://blog.csdn.net/sysprogram/article/details/21107041 登录页面 login.html 负责收集用户填写的登录信息 [html] vie ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgYa6n3.html" rel="bookmark" class="title">iOS不得姐项目--pop框架的初次使用</a>
					<div>
						一.pop和Core Animation的区别 1.Core Animation的动画只能添加到layer上 2.pop的动画能添加到任何对象 3.pop的底层并非基于Core Animation,是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoXGoP0.html" rel="bookmark" class="title">楼房（洛谷 1382）</a>
					<div>
						题目描述 地平线(x轴)上有n个矩(lou)形(fang),用三个整数h[i],l[i],r[i]来表示第i个矩形:矩形左下角为(l[i],0),右上角为(r[i],h[i]).地平线高度为0.在轮廓 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6elYW4.html" rel="bookmark" class="title">poj  2299  求逆序数</a>
					<div>
						http://poj.org/problem?id=2299 #include&lt;iostream&gt; using namespace std; int aa[500010],bb[50001 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyNZwa0.html" rel="bookmark" class="title">没有创新就会消亡</a>
					<div>
						软件开发是什么?他是一种知识与智慧的结晶.是人类最高智慧的代表.如果软件开发沦为复制.简单再包装,没有自己的原创.那么他就必然走向衰落.我们来分析一个案例:曾经最伟大的软件公司,宝蓝公司走向衰落的历程 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
